{% set root_url = env is defined and env == 'development' ? 'staging.' : '' %}

{% include "templates/components/versus/partials/versus-store.twig" with {
    max_compare: 4,
    compare_base_url: device_type == 'smartphone' ? 'https://' ~ root_url ~ 'hdblog.it/compara' : 'https://' ~ root_url ~ '.hdblog.it/compara/'~ device_type ~'/'
} %}

<script>

    // Funzione per la ricerca dei prodotti
    function productSearch() {
        return {
            query: '',
            filteredProducts: [],
            loading: false,

            async filterProducts() {
                if (this.query.length < 3) {
                    this.filteredProducts = [];
                    return;
                }


                this.loading = true;
                try {
                    const response = await fetch('http://hdnetwork.test/test.json');
                    const data = await response.json();
                    this.filteredProducts = data[1];
                } catch (error) {
                    console.error('Errore nel fetch:', error);
                    this.filteredProducts = [];
                } finally {
                    this.loading = false;
                }
            },

            selectProduct(product) {
                this.query = '';  // Reset dell'input
                this.filteredProducts = [];

                // Aggiunge il prodotto selezionato al confronto utilizzando Alpine.store
                Alpine.store('productCompare').addToCompare(product);
            }
        };
    }

    // Component per il confronto dei prodotti
    function productCompare() {
        return Alpine.store('productCompare');
    }

</script>